# Get Monthly Summary

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/users/reports/tax-currency-summary`

Monthly summary of transactions for a selected currency

## Request

### Query Parameters

<table><thead><tr><th width="166.2890625">Name</th><th width="112.37890625">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>end</code> <em><mark style="color:red;">required</mark></em></td><td>timestamp</td><td>The unix timestamp (seconds) of the last datapoint returned</td></tr><tr><td><code>start</code> <em><mark style="color:red;">required</mark></em></td><td>timestamp</td><td>The unix timestamp (seconds) of the first datapoint returned</td></tr><tr><td><code>currency</code></td><td>string</td><td>Currency code for the requested report. If left blank, response will include all applicable currencies.</td></tr></tbody></table>

### Example Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl 'https://api.sfox.com/v1/users/reports/tax-currency-summary?currency=usd&end=1676102399999&start=1673337600000'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/users/reports/tax-currency-summary',
  params: {
    currency: 'btc',
    startTime: 1657217002,
    endTime: 1665165809
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/users/reports/tax-currency-summary",
  headers={
    "Authorization": "Bearer <API_KEY>",
  },
  params={
   "currency": "btc",
   "startTime": 1657217002,
   "endTime": 1665165809
  }
)
print(data)
```

{% endtab %}
{% endtabs %}

## Response

CSV formatted response

### Example Response

{% tabs %}
{% tab title="200 " %}

```
CurrencyYear,CurrencyMonth,Currency,Deposits,DepositsUSD,Credits,Withdrawals,WithdrawalsUSD,Charges,Buys,BuysTotalUSD,BuysTotalFeesUSD,Sells,SellsTotalUSD,SellsTotalFeesUSD,BuysForCrypto,BuysForCryptoUSD,SellsForCrypto,SellsForCryptoUSD
2023,1,usd,0,0,0,0,0,0,0,0,0,0,0,0,14.11887974,14.11887974,9.98003992,9.98003992
2023,2,usd,25,25,0,0,0,0,0,0,0,0,0,0,0,0,17.94148758,17.94148758
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/reporting/get-monthly-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
